<?php

use app\base\Common;
use yii\helpers\Html;
use yii\widgets\ActiveForm;
use kartik\select2\Select2;

/* @var $this yii\web\View */
/* @var $model app\models\Hcvlinkage */
/* @var $form yii\widgets\ActiveForm */

$Surveys = Common::getSurvey();
$Locations = Common::getLocations();
$PIDs = Common::getHcvLinkagePIDs();
if(Yii::$app->params['SURVEY'] != '') {
	$Locations = Common::getSurlocations(Yii::$app->params['SURVEY']);
}
if(Yii::$app->params['SURVEY'] != '' && Yii::$app->params['LOCATION'] != '') {
	$Locations = Common::getSurlocations(Yii::$app->params['SURVEY']);
	$PIDs = Common::getHcvLinkagePIDs(Yii::$app->params['SURVEY'], Yii::$app->params['LOCATION']);
}

$JS = "
	$('.datepicker').datepicker({autoclose: true, startDate: '01-01-1900', endDate: '0', format: '".strtolower(Yii::$app->formatter->dateFormat)."'});

	$('#hcvlinkage-hcv_linkage_q1').change(function(){
		// $('div.form-group').show();
		$('div.help-block').html('');
		$('div.form-group').removeClass('has-success').removeClass('has-error');
		if($(this).val() == 1) {
			$('div.form-group.field-hcvlinkage-hcv_linkage_q2').addClass('required').show();
		} else {
			$('div.form-group.field-hcvlinkage-hcv_linkage_q2').removeClass('required').hide();				
			
			$('#hcvlinkage-hcv_linkage_q2 input[type=checkbox]').not('#hcvlinkage-hcv_linkage_q1-3').prop('checked', false);
		}
	});
	$('#hcvlinkage-hcv_linkage_q1').trigger('change');
";

$this->registerJs($JS);
?>

<div class="hcvlinkage-form">
	<div class="panel panel-default">
		<div class="panel-heading">
			
		</div>
		<div class="panel-body">
			<div class="row">
				<div class="col-lg-12">
					<?php
						$form = ActiveForm::begin(['options' => ['class' => 'form-horizontal']]);
						$template = [
							'labelOptions' => ['class' => 'form-label'],
							'template' => '<div class="col-sm-5">{label}{hint}</div><div class="col-sm-4">{input}{error}</div>',
						];
						$chklist_template = [
							'labelOptions' => ['class' => 'form-label'],
							'template' => '<div class="col-sm-5">{label}{hint}</div><div class="col-sm-4 checkbox-list">{input}{error}</div>',
						];
						$htemplate = [
							'options' => ['tag' => false],
							'template' => '{input}'
						];
					?>
					<?= Common::generateControl($form, $model, $template, 'hcv_linkage_survey', $Surveys, 'survey', 'getHcvLinkagePIDs') ?>
					<?= Common::generateControl($form, $model, $template, 'hcv_linkage_loc', $Locations, 'location', '', [Html::getInputId($model, 'hcv_linkage_survey')]) ?>
					<?= Common::generateControl($form, $model, $template, 'hcv_linkage_part_id', $PIDs, 'pid', '', [Html::getInputId($model, 'hcv_linkage_survey'), Html::getInputId($model, 'hcv_linkage_loc')]) ?>
					<?= $form->field($model, 'hcv_linkage_q1', $template)->dropDownList($model->q1, ['prompt'=>'Select']); ?>
					<?= $form->field($model, 'hcv_linkage_q2', $chklist_template)->checkboxList($model->q2); ?>
					<?= $form->field($model, 'status', $htemplate)->hiddenInput(['value' => 1])->label() ?>
					<?= $form->field($model, $model->isNewRecord ? 'create_user' : 'update_user', $htemplate)->hiddenInput(['value' => yii::$app->user->identity->id])->label("") ?>
					<div class="form-group">
						<div class="col-sm-offset-5 col-sm-7">
							<?= Html::submitButton($model->isNewRecord ? Yii::t('app', 'Create') : Yii::t('app', 'Update'), ['class' => $model->isNewRecord ? 'btn btn-success' : 'btn btn-primary']) ?>
							<?= Html::a('Cancel', ['/'.Yii::$app->controller->id], ['class' => 'btn btn-default']) ?>
						</div>
					</div>
					<?php ActiveForm::end(); ?>
				</div>
				<!-- /.col-lg-6 (nested) -->
			</div>
			<!-- /.row (nested) -->
		</div>
		<!-- /.panel-body -->
	</div>
	<!-- /.panel -->
</div>